html, body ,input, button, textarea, select, option{
  font-family: 'Cerebri Sans Pro', Helvetica, Sans serif!important;
}
.banner-section{
  background: #000;
  position: relative;
  border-image-slice: 1;
  border-bottom: 1px solid;
  border-image-source: linear-gradient(90deg, #07260E 0%, #00B464 50%, #07260E 100%);
}
.banner-container{
  max-width:1440px;
  margin:auto;
  min-height:400px;
}
.banner-section canvas {
  position: absolute !important;
  top: 0;
  left: 0;
  z-index: 0;
}
.banner-content{
  margin-top: auto;
  width: 100%;
  position: relative;
  z-index: 1;
  backdrop-filter: blur(8px)

}

.raffle-card{
  max-width: 370px;
  border-radius:20px;
  overflow: hidden;
}

/* raffle section */
.raffle-section{
  background: linear-gradient(180deg, #000000 61.8%, #051B0A 100%);
}
.raffle-section-bg{
  background-image:url('https://www.maya.ph/hubfs/Raffle%20winners/Noise-bg.png');
  background-size:cover;
  background-repeat:no-repeat;
}
.raffle-container{
  max-width:1170px;
  margin:auto;
}
.raffle-card-inner{
  border: 1px solid;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/raffle-card-border.svg);
  border-image-width: 30px;
  border-radius: 20px;
  overflow:hidden;
  max-height: 205px;
  position:relative;
}
.raffle-card-inner img{
  object-fit: cover;
  height: 100%;
  min-height: 205px;
}
.raffletext-footer p{
  font-size:14px;
  line-height: 20px;
  letter-spacing:-0.2px;
  font-style: italic;
}
@media only screen and (max-width: 767px) {
  .raffletext-footer p{
    font-size:12px;
    line-height: 16px;
  }
}
.view-winners-btn:hover .raffle-card-inner{
  /*   max-width: 363px;
  min-height: 237px; */
  /*   border: 4px solid;
  border-image-width: 30px;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Raffler-card-hover-border.svg);
  border-radius: 24px;
  box-shadow: 0px 10px 20px 0px #0000001A; */

}
/* .view-winners-btn{
transition: 0.3s;
}
.view-winners-btn:hover .raffle-card-inner:after{
display:flex;
justify-content:center;
align-items:center;
content:url('https://www.maya.ph/hubfs/Raffle%20winners/button-pill.svg');
position:absolute;
height:100%;
width:100%;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
backdrop-filter: blur(2px);
border: 4px solid;
border-image-slice: 30;
border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Raffler-card-hover-border.svg);
border-image-width: 30px;

}
*/
.view-winners-btn {
  position: relative;
}

.view-winners-btn .raffle-card-inner {
  position: relative;
}

/* DEFAULT STATE */
.view-winners-btn .raffle-card-inner::after {
  content: url('https://www.maya.ph/hubfs/Raffle%20winners/button-pill.svg');
  position: absolute;
  inset: 0;

  display: flex;
  justify-content: center;
  align-items: center;

  backdrop-filter: blur(2px);

  border: 4px solid;
  border-image-slice: 30;
  border-image-source: url('https://www.maya.ph/hubfs/Raffle%20winners/Raffler-card-hover-border.svg');
  border-image-width: 30px;

  opacity: 0;
  pointer-events: none;

  transition: 
    opacity 0.3s ease,
    transform 0.3s ease;
}

/* HOVER STATE */
.view-winners-btn:hover .raffle-card-inner::after {
  opacity: 1;

}
#noWinnersFound a{
  border: 1px solid #2FF29E;
  padding: 10px 30px;
  border-radius: 20px;
  background: #000;
  color: #fff;
  margin-top: 20px;
  font-size: 20px;
  line-height: 110%;
  letter-spacing: -0.5px;
}
.nowbtn{
  border: 1px solid #2FF29E;
  padding: 10px 30px;
  border-radius: 20px;
  background: #000;
  color: #fff;
  margin-top: 20px;
  font-size: 20px;
  line-height: 110%;
  letter-spacing: -0.5px;
  text-decoration: none!important;
}

#noMainRaffles a{
  border: 1px solid #2FF29E;
  padding: 10px 30px;
  border-radius: 20px;
  background: #000;
  color: #fff;
  margin-top: 20px;
  font-size: 20px;
  line-height: 110%;
  letter-spacing: -0.5px;
}
#noMainRaffles h4{

}
/*  */
/* Popup Overlay */
#winnerPopup {
  position: fixed;
  top:0; left:0;
  width:100%; height:100%;
  background: rgba(0,0,0,0.6);
  display:flex;
  justify-content:center;
  align-items:center;
  z-index:1000;
}
.popup-tagscontainer img{
  max-width:48px;
}
.popup-tagscontainer{
  max-width:max-content;
  position:relative;
  z-index:1;
}
.winner-thumb-popup:before{
  background: linear-gradient(180deg,transparent,#000);
  content: "";
  height: 400px;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 1;
}
.winner-thumb-popup img{
  position:absolute;
  width:100%;
}
.popupwinner-content{
  position:relative;
  z-index:1;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0) 94.01%);
  backdrop-filter: blur(8px);
  border-radius:20px;
  border: 1px solid rgba(255, 255, 255, 0.1);
}
.winner-popup-content {
  background: #000000;
  border-radius:50px;
  width:90%;
  max-width:600px;
  max-height:80%;
  overflow-y:auto;
  position: relative;
  border: 2px solid;
  border-image-width: 30px;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/popup-border.svg);

}
.popup-innercontainer{
  min-height:700px; 
}
.popupwinner-content ul {
  padding:20px 0px;
  display: flex;
  gap: 20px;
  justify-content: center;
  list-style: none;
  flex-wrap: wrap;
  max-width: 350px;
  margin: auto;
  margin-block-end: 0;
  margin-block-start: 0;
  padding-inline-start: 0;
}
.popupwinner-content  li{
  background: linear-gradient(180deg,rgba(255, 255, 255, 0.1) 35%, rgba(255, 255, 255, 0.2) 100%);
  font-size:15px;
  line-height:120%;
  padding:10px 20px;
  border-radius:40px;
  min-width: 70px;
  color:#fff;
  font-weight:bold;
  border:1px solid;
  border-image-width: 30px;
  border-image-slice: 22;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/prizes-border.svg);
}
#winnerPopupClose {
  position:absolute;
  top:20px;
  right:20px;
  background:none;
  border:none;
  cursor:pointer;
  z-index:10;
}
#winnerPopupClose img{
  width:48px;
  height:48px;
}

.btn-view-promo {
  width:100%;
  padding:10px 20px;
  background: linear-gradient(180deg, #FFFFFF 0%, #D9D9D9 100%);
  color:#07260E;
  text-decoration:none;
  border-radius:10px;
  font-weight:600;
}
.btn-viewalll{
  width:100%;
  padding:10px 20px;
  border:1px solid #FFFFFF;
  background: none;
  color:#FFFFFF;
  text-decoration:none;
  border-radius:10px;
  font-weight:600;
}
/* ===================== */
/* WINNER LIST BASE STYLES */
/* ===================== */
#winner-list .winner-type-list, #winner-list .winner-list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}
.winner-card{
  position:relative;

}
/* CARD VIEW - single column */
#winner-list.card-view .winner-tags img{
  max-height: 48px;
  max-width: 48px;
}
#winner-list.card-view .winner-card {
  width: 100%;
  display: flex;
  min-height:90px;
  transition: transform 0.2s;
  border: 1px solid;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/raffle-card-border.svg);
  border-image-width: 30px;
  border-radius: 20px;
  overflow:hidden;
  background-size: contain;
  background-repeat: no-repeat;
  position:relative;
  background-color:#051B0A;
}

#winner-list.card-view .winner-overlay{
  display:flex;
  padding: 15px 25px;
  /*   background: linear-gradient(90deg, rgba(0, 0, 0, 0.70) 0%, rgba(5, 27, 10, 1) 50%, rgba(0, 0, 0, 0.70) 100%); */
  width: 100%;
  gap: 50px;
  z-index:1;
  position:relative;
  align-items: center;
}

#winner-list.card-view .winner-overlay i{
  display:block;
  color:#fff;
  font-size:20px;
  height:max-content;
}

#winner-list.card-view .winner-card::after {
  content: '';
  position: absolute;
  inset: 0;
  width:100%;
  height:100%;
  border: 4px solid;
  border-image-width: 30px;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Raffler-card-hover-border.svg);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.25s ease;
  z-index:1;
}

/* HOVER STATE */
#winner-list.card-view .winner-card:hover::after {
  opacity: 1;
}
#winner-list.card-view .winner-card:hover {
  border: 1px solid;
  border-radius: 24px;
  background-color: #000;
}

/* #winner-list.card-view .winner-card:hover {
border: 4px solid;
border-image-width: 30px;
border-image-slice: 30;
border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Raffler-card-hover-border.svg);
border-radius: 24px;
background-color: #000;
} */
#winner-list.card-view .winner-card:hover::before{
  background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
}
#winner-list.card-view .winner-card:before{
  content:'';
  position:absolute;
  background: linear-gradient(90deg, rgba(5, 27, 10, 0) 0%, #051B0A 100%);
  width:147px;
  height:100%;
}
#winner-list.card-view .winner-card-inner{
  display:flex;
  justify-content: space-between;
  flex-direction: row-reverse;
  width: 100%;
}
#winner-list.card-view .winner-card-inner p{
  color: white;
  font-size:24px;
}

/* Card view query */
@media only screen and (max-width: 767px) {
  #winner-list.card-view .winner-card-inner{
    flex-direction: column-reverse;
    align-items: flex-start;
  }
  #winner-list.card-view .winner-overlay{
    gap:20px
  }
  #winner-list.card-view .winner-card-inner h4 {
    font-size: 20px;
  }
  #winner-list.card-view .winner-card-inner p{
    font-size: 16px;
  }

}

/* GRID VIEW - multiple columns */
#winner-list.grid-view .winner-overlay{
  z-index:1;
}
#winner-list.grid-view .winner-overlay i{
  display:none;
}
#winner-list.grid-view .winner-card {
  width: calc(33.333% - 20px); /* 3 cards per row with gap */
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 15px;
  transition: transform 0.2s;
  min-height: 280px;
  background-size: contain;
  background-repeat: no-repeat;
  border: 1px solid;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/winner-card-border.svg);
  border-image-width: 30px;
  border-radius: 20px;
  overflow:hidden;
  position:relative;
}
#winner-list.grid-view .winner-card::before {
  content: '';
  position: absolute;
  inset: 0;
  width:100%;
  height:100%;
  border: 4px solid;
  border-image-width: 30px;
  border-image-slice: 30;
  border-image-source: url('https://www.maya.ph/hubfs/Raffle%20winners/Raffler-card-hover-border.svg');
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.25s ease;
  z-index:1;
}

/* HOVER STATE */
#winner-list.grid-view .winner-card:hover::before {
  opacity: 1;
}
#winner-list.grid-view .winner-card:hover {
  border: 1px solid;
  border-radius: 24px;
}

#winner-list.grid-view .winner-card:after{
  content:'';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);

}




#winner-list.grid-view .winner-tags{
  position:absolute;
  top: 10px;
  left: 10px;
}
/* WINNER CARD INNER */
.winner-typed-header{

}
.winner-type-title{
  text-transform: capitalize;
}
.winner-typed-header .winner-tags img{
  width:30px;
  height:30px;
}
.winner-type-separator {
  border: 1px dashed #1C502B;
  margin: 40px 0;
}
.winner-typed-header .winner-tags{
  position: relative!important;
  left: 0!important;
  top: 0!important;
}
.header-center{
  height:30px;
  width:1px;
  background:#104F1F;

}
.winner-type-count{
  color:#2FF29E;
  font-weight: 400;
  font-size: 14px;
  line-height: 120%;
  padding:5px 10px;
  border: 1px solid;
  border-image-slice: 12;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/capsule-border.svg);
  border-image-width: 30px;
  border-radius: 20px;
  backdrop-filter: blur(8px);
  width: max-content;
  display: flex;
  justify-content: center;
}

#raffle-winners-section .totalwinner-text{
  display:flex;
  height: max-content;
  width:100px;
  color:#2FF29E;
  font-weight: 400;
  font-size: 14px;
  line-height: 120%;
  padding:5px 10px;
  border: 1px solid;
  border-image-slice: 12;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/capsule-border.svg);
  border-image-width: 30px;
  border-radius: 20px;
  backdrop-filter: blur(8px);
  justify-content:center;
}



.winner-card-inner h4 {
  margin-bottom: 0;
  font-size: 24px;
  line-height:120%;
  color: #fff;
  text-align:center;
  text-transform: uppercase;
  font-weight:500;
}

.winner-card-inner p {
  font-weight: 600;
  font-size: 16px;
  line-height: 120%;
  color: #000000;
  border-radius:40px;
}
#winner-list.grid-view .moreprize-container{
  padding:5px;
  border: 1px solid;
  border-image-width: 30px;
  border-image-slice: 12;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/more-prize-border.svg);
  border-radius: 24px;
}
#winner-list.grid-view .winner-card-inner {
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 20px;
  /*   border: 1px solid rgba(255, 255, 255, 0.3); */
  box-shadow: 
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 0.5px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 0px 0px rgba(255, 255, 255, 0);
  position: relative;
  height: 80px;
  padding-bottom: 20px;
}

#winner-list.grid-view .prize-container{
  padding:10px;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.8) 0%, #FFFFFF 100%);
  position: relative;
  z-index: 1;
  min-width: 70px;
  text-align:center;
}

#winner-list.grid-view .winner-card-inner::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 1px;
  background: linear-gradient(
    90deg,
    transparent,
    rgba(255, 255, 255, 0.8),
    transparent
  );
}

#winner-list.grid-view .winner-card-inner::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;

  height: 100%;
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.8),
    transparent,
    rgba(255, 255, 255, 0.3)
  );
}



/* BUTTON STYLING INSIDE WINNER CARDS */
/* .btn-view-promo {
display: inline-block;
margin-top: 10px;
padding: 8px 14px;
background: #007bff;
color: #fff;
text-decoration: none;
border-radius: 4px;
font-weight: 500;
} */

/* ===================== */
/* RESPONSIVE GRID */
/* ===================== */
@media (max-width: 1024px) {
  #winner-list.grid-view .winner-card {
    width: calc(50% - 20px); /* 2 cards per row */
  }
}

@media (max-width: 600px) {
  #winner-list.grid-view .winner-card {
    width: 100%; /* single column on mobile */
  }
}


/* dropdown */
/* ========== CUSTOM DROPDOWN ========== */
.custom-dropdown {
  position: relative;
  width: 220px;
  font-size: 18px;
  cursor: pointer;
  user-select: none;
  display: inline-block;
  /*   margin-right: 12px; */
  max-height:56px;
  height:100%;
  border: 2px solid;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Filters-border.svg);
  border-image-width: 30px;
  border-radius: 15px;
}

.custom-dropdown .dropdown-selected {
  padding: 10px 12px;
  /*   background: #ffffff; */
  /*   border: 1px solid #ccc; */
  color:#fff;
  border-radius: 6px;
  height:100%;
  font-weight:600;
}

.custom-dropdown.active .dropdown-selected {
  border-color: #0099ff;
}

.custom-dropdown ul.dropdown-options {
  background: rgba(0, 0, 0, 0.8);
  border: 1px solid #fff;
  border-radius: 15px;
  box-shadow: 0 4px 10px rgb(0 0 0 / 10%);
  display: none;
  left: 0;
  list-style: none;
  margin: 0;
  padding: 10px;
  position: absolute;
  top: 105%;
  width: 100%;
  z-index: 99;
  backdrop-filter: blur(8px);
}

.custom-dropdown.active ul.dropdown-options {
  display: block;
}

.custom-dropdown ul.dropdown-options li {
  padding: 10px 12px;
  color:#fff;
  font-weight:600;
}
.custom-dropdown ul.dropdown-options li:not(:last-child) {
  margin-bottom:10px;
}
.custom-dropdown ul.dropdown-options li.active{
  background: #2BDB8F;
  border-radius: 10px;
  color:#000;
}

.custom-dropdown.active i{
  transform: rotate(180deg);
}
.dropdown-selected i {
  transition: transform .3s ease;
  color:#2FF29E;
}
.custom-dropdown ul.dropdown-options li:last-child {
  border-bottom: none;
}

.custom-dropdown ul.dropdown-options li:hover {
  background: #2BDB8F;
  border-radius: 10px;
  color:#000;
}

/* Search */
.custom-search {
  position: relative;
  display: inline-block;
  max-width: 500px;
  width:100%;
  margin-right: 12px;
  height:56px;
  border: 2px solid;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Filters-border.svg);
  border-image-width: 30px;
  border-radius: 15px;
}
.btn-show-more{
  border: 1px solid;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/load-more-border.svg);
  border-image-width: 30px;
  border-radius: 20px;
  background: none;
  color: #fff;
  padding: 10px 30px;
  font-weight: 600;
  font-size: 20px;
  letter-spacing: -0.5px;
}
.searchfilter-container{
  max-width:500px;
  width:100%;
}
.back-to-raffles{
  color:#fff;
  font-size:16px;
  line-height:110%;
}
.custom-search input {
  width: 100%;
  padding: 10px 36px 10px 12px;
  border-radius: 6px;
  border: none;
  outline: none;
  background:none;
  color:#fff;
  height:100%;
  font-weight: 600;
  font-size: 20px;
  line-height: 18px;

}

.custom-search .search-icon {
  position: absolute;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 16px;
  color: #888;
  pointer-events: none; /* icon doesn’t block typing */
}
.winner-view-toggle{
  border: 2px solid;
  border-image-slice: 30;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Filters-border.svg);
  border-image-width: 30px;
  border-radius: 15px;
  padding:5px;
  max-height:56px;
}
.winner-view-toggle button{
  background:none;
  border:none;
  padding:10px;
  border-radius:10px;
}
.winner-view-toggle button.active{
  background: linear-gradient(180deg, #104F1F 0%, #07260E 100%);
}
.winner-view-toggle button.active path{
  fill:#2FF29E;
}
.winner-tags img{
  width:48px;
  height:48px;
  border: 1px solid;
  border-image-slice: 24;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Circle-glass-border.svg);
  border-image-width: 30px;
  background: linear-gradient(180deg,rgba(255, 255, 255, 0.4) 0%, rgba(47, 242, 158, 0.6) 100%);
  border-radius: 42px;
  backdrop-filter: blur(10px);
}
.winner-tags-popup{
  border: 1px solid;
  border-image-slice: 24;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/Circlegreen-glass-border.svg);
  border-image-width: 30px;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.01) 0%, #000000 100%);
  border-radius: 40px;
  backdrop-filter: blur(10px);
}
.raffle-title-popup{
  padding:15px 30px;
  border: 1px solid;
  border-image-slice: 24;
  border-image-source: url(https://www.maya.ph/hubfs/Raffle%20winners/long-green-glass-border.svg);
  border-image-width: 30px;
  border-radius: 40px;
  backdrop-filter: blur(10px);
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.01) 0%, #000000 100%);
}
@media only screen and (max-width: 767px) {
  .custom-search, .custom-dropdown{
    margin-right:0;
    width: 100%;

  }
  .searchfilter-container .w100p{
    width:auto;
  }
  .dropdownfilter-container > * {
    width: 50%;
  }
}


/* No item card */
.noitem-card img{
  max-width:120px;
}
.noitem-card {
  backdrop-filter: blur(40px);
  background: radial-gradient(49.66% 72.62% at 50% 100%,#07260e 0,rgba(7,38,14,0) 100%);
  border: 1px dashed #17754c;
  border-radius: 20px;
  min-height: 600px;
  text-align:center;
}
#noWinners a{
  color: #fff;
  text-decoration: underline;
}
}


/* global css */
.lh120{
  line-height:120%!important
}
.lh100{
  line-height:100%!important
}
@media only screen and (max-width: 767px) {
  .noitem-card {
    min-height: 400px;
  }
  .md-w100p{
    width:100%;  
  }
}
.w100p{
  width:100%;  
}

.raffle-text-spacing{
  letter-spacing:0.1px;
}

